#include <math.h>
#include "../includes/prompt_and_read.h"

//	error() is a general error-reporting function. It flushes stdout, and then
//	outputs to stderr the program name, a colon and a space, the message
//	specified by the printf()-style string format, and, if errnum is
//	nonzero, a second colon and a space followed by the string given by
//	strerror(errnum). Any arguments required for format should follow format in
//	the argument list. The output is terminated by a newline character.

//	The program name printed by error() is the value of the global variable
//	program_invocation_name(3). program_invocation_name initially has the same
//	value as main()'s argv[0]. The value of this variable can be modified to
//	change the output of error().

//	If status has a nonzero value, then error() calls exit() to terminate the
//	program using the given value as the exit status.

//	The perror() function produces a message on standard error describing the
//	last error encountered during a call to a system or library function.

//	First (if s is not NULL and *s is not a null byte ('\0')), the argument
//	string s is printed, followed by a colon and a blank. Then an error message
//	corresponding to the current value of errno and a new-line.

int main(void) {

	double param = prompt_and_read_double("Enter log10() parameter");
	double result = log10(param);
	if(errno != 0) {
		perror("log10() failed");	//	does not call exit()
		printf("\n");
		error(1, errno, "log10() failed");	//	calls exit()
	}
	printf("\n");
	printf ("log10(%f) = %f\n", param, result );

	return EXIT_SUCCESS;
}

