#include <stdio.h>
#include <stdlib.h>
#include "../includes/multi_file.h"

// An identifier with internal linkage is only accessible within
// the translation unit where it’s declared. Any identifier within
// the same unit can access an identifier with internal linkage.
// This linkage is established using the “static” keyword in C.

// In C, all global identifiers inherently have external linkage
// by default. This means that every declaration of a particular
// identifier with external linkage refers to the same object or
// function throughout the entire program. The "extern" keyword is
// used to explicitly establish external linkage for variables
// and functions in C.

int external = 0;
static int internal = 0;

int main(void) {
	read();
	printf("In main():\n");
	printf("external = %d (%p)\n", external, &external);
	printf("internal = %d (%p)\n", internal, &internal);
	printf("\n");
	print();

	return EXIT_SUCCESS;
}

